Spaces
Add a member to a space
POST
/
api
/
v1
/
spaces
/
{id}
/
members
Add a member to a space
curl --request POST \
--url https://api.linebundle.com/api/v1/spaces/{id}/members \
--header 'Content-Type: application/json' \
--data '
{
"role": "space_member",
"user_id": "<string>"
}
'import requests
url = "https://api.linebundle.com/api/v1/spaces/{id}/members"
payload = {
"role": "space_member",
"user_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({role: 'space_member', user_id: '<string>'})
};
fetch('https://api.linebundle.com/api/v1/spaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/spaces/{id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'role' => 'space_member',
'user_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/spaces/{id}/members"
payload := strings.NewReader("{\n \"role\": \"space_member\",\n \"user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linebundle.com/api/v1/spaces/{id}/members")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"space_member\",\n \"user_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/spaces/{id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"space_member\",\n \"user_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"is_active": true,
"role": "<string>",
"space_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"$schema": "https://api.linebundle.com/schemas/Member.json",
"org_id": "<string>"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Space ID
Body
application/json
Response
Created
Joined timestamp
Whether the membership is active
Role: space_owner, space_admin, space_member, space_viewer
Space ID
Updated timestamp
Profile ID
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/Member.json"
Organization ID
Last modified on June 11, 2026
⌘I
Add a member to a space
curl --request POST \
--url https://api.linebundle.com/api/v1/spaces/{id}/members \
--header 'Content-Type: application/json' \
--data '
{
"role": "space_member",
"user_id": "<string>"
}
'import requests
url = "https://api.linebundle.com/api/v1/spaces/{id}/members"
payload = {
"role": "space_member",
"user_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({role: 'space_member', user_id: '<string>'})
};
fetch('https://api.linebundle.com/api/v1/spaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/spaces/{id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'role' => 'space_member',
'user_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/spaces/{id}/members"
payload := strings.NewReader("{\n \"role\": \"space_member\",\n \"user_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linebundle.com/api/v1/spaces/{id}/members")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"space_member\",\n \"user_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/spaces/{id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"space_member\",\n \"user_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"is_active": true,
"role": "<string>",
"space_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": "<string>",
"$schema": "https://api.linebundle.com/schemas/Member.json",
"org_id": "<string>"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}